package com.facebook.imagepipeline.nativecode;

import X.LwK;
import X.PHP;
import android.graphics.Bitmap;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NativeRoundingFilter {
    public static native void nativeToCircleFilter(Bitmap bitmap, boolean z);

    public static native void nativeToCircleWithBorderFilter(Bitmap bitmap, int i, int i2, boolean z);

    static {
        Covode.recordClassIndex(41716);
        LwK.LIZ("native-filters");
    }

    public static void toCircle(Bitmap bitmap) {
        toCircle(bitmap, false);
    }

    public static void toCircle(Bitmap bitmap, boolean z) {
        MethodCollector.i(8767);
        PHP.LIZ(bitmap);
        nativeToCircleFilter(bitmap, z);
        MethodCollector.o(8767);
    }

    public static void toCircleWithBorder(Bitmap bitmap, int i, int i2, boolean z) {
        MethodCollector.i(8955);
        PHP.LIZ(bitmap);
        nativeToCircleWithBorderFilter(bitmap, i, i2, z);
        MethodCollector.o(8955);
    }
}
